package org.nl.acs.device_driver.basedriver.agv.utils;

import org.springframework.stereotype.Service;

@Service
public class OneAgvPhase implements IAgv{
    @Override
    public String getPhaseName(Integer phase) {
        if (phase == 0x01) {
            return "开始任务/上报订单号";
        } else if (phase == 0x02){
            return "分配车id";
        } else if (phase == 0x03){
            return "到达取货点";
        } else if (phase == 0x05){
            return "取货完毕";
        } else if (phase == 0x07){
            return "到达放货点";
        } else if (phase == 0x09){
            return "放货完毕";
        } else if (phase == 0x0A){
            return "任务完毕";
        } else if (phase == 0x30){
            return "请求删除任务";
        } else if (phase == 0xFF){
            return "任务删除确认";
        } else if (phase == 0x64){
            return "到达位置点";
        } else if (phase == 0x65){
            return "称重就绪";
        }
        return null;
    }
}
